## CamelSpoolSummary

CamelSpoolSummary

## Functions

void | camel_spool_summary_construct ()
CamelSpoolSummary * | camel_spool_summary_new ()
gint | camel_spool_summary_load ()
gint | camel_spool_summary_check ()
gint | camel_spool_summary_sync ()
CamelMessageInfo * | camel_spool_summary_add ()
gchar * | camel_spool_summary_encode_x_evolution ()
gint | camel_spool_summary_decode_x_evolution ()
gint | camel_spool_summary_write_headers ()

## Types and Values

struct | CamelSpoolSummary

## Object Hierarchy

        GObject
        ╰── CamelFolderSummary
            ╰── CamelLocalSummary
                ╰── CamelMboxSummary
                    ╰── CamelSpoolSummary

## Description

## Functions

### camel_spool_summary_construct ()

    void
    camel_spool_summary_construct (CamelSpoolSummary *new,
                                   const gchar *filename,
                                   const gchar *spool_name,
                                   CamelIndex *index);

### camel_spool_summary_new ()

    CamelSpoolSummary *
    camel_spool_summary_new (struct _CamelFolder *Param1,
                             const gchar *filename);

### camel_spool_summary_load ()

    gint
    camel_spool_summary_load (CamelSpoolSummary *cls,
                              gint forceindex,
                              GError **error);

### camel_spool_summary_check ()

    gint
    camel_spool_summary_check (CamelSpoolSummary *cls,
                               CamelFolderChangeInfo *Param2,
                               GError **error);

### camel_spool_summary_sync ()

    gint
    camel_spool_summary_sync (CamelSpoolSummary *cls,
                              gboolean expunge,
                              CamelFolderChangeInfo *Param3,
                              GError **error);

### camel_spool_summary_add ()

    CamelMessageInfo *
    camel_spool_summary_add (CamelSpoolSummary *cls,
                             CamelMimeMessage *msg,
                             const CamelMessageInfo *info,
                             CamelFolderChangeInfo *Param4,
                             GError **error);

### camel_spool_summary_encode_x_evolution ()

    gchar *
    camel_spool_summary_encode_x_evolution
                                   (CamelSpoolSummary *cls,
                                    const CamelMessageInfo *info);

### camel_spool_summary_decode_x_evolution ()

    gint
    camel_spool_summary_decode_x_evolution
                                   (CamelSpoolSummary *cls,
                                    const gchar *xev,
                                    CamelMessageInfo *info);

### camel_spool_summary_write_headers ()

    gint
    camel_spool_summary_write_headers (gint fd,
                                       struct _camel_header_raw *header,
                                       gchar *xevline);

## Types and Values

### struct CamelSpoolSummary

    struct CamelSpoolSummary;